//
//  StockAdminController.h
//  IDLExplorer
//
//  Created by Victor on 1/23/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <ADORB/ADORB.h>

@class StockWatchController;
@class QuoteItem;

@protocol StockAdmin<CORBAObject>
- (void) addQuote:(QuoteItem*)quote;
- (NSArray*) watchers;
- (void) removeQuote:(NSString*)symbol;
@end

@interface CORBAObject(StockAdmin) <StockAdmin>
@end

@interface StockAdminController : UIViewController 
{
	IBOutlet UITextField *symbolField;
	IBOutlet UITextField *nameField;
	IBOutlet UITextField *valueField;
	IBOutlet UITextField *volumeField;
	IBOutlet UITextField *marketField;
	
	QuoteItem* _item;
    CORBAObject *_server;
	StockWatchController *_controller;
}

@property(retain, getter=server, setter=setServer) id _server;

- initWithController:(StockWatchController*)ctrl;
- (void) addSymbol:sender;
- (void) done:sender;
@end
