//
//  IDLRequestHeader.h
//  IDLExplorer
//
//  Created by Victor Ananiev on Thu May 22 2003.
//  Copyright (c) 2003 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>

@class CORBAObject;

@interface IDLRequestHeader : NSObject
{
    NSMutableArray* _service_context;
    unsigned long _requestId;
    NSString* _operation;
    CORBAObject* _targetObject;
    BOOL _responseExpected;
}

- init;
- (CORBAObject*) targetObject;
- (NSString*) operation;
- (NSNumber*) request_id;
- (BOOL) responseExpected;
@end
